Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Serveral tools neccessary for DVD burning.
Name:      	dvd+rw-tools
Version:   	7.1
Release:   	3
License: 	GNU/GPL
URL:		http://fy.chalmers.se/~appro/linux/DVD+RW/
Group:     	Archiving/CD Burning
Source0: 	%{name}-%{version}.tar.gz
Patch0:		dvd+rw-tools-7.1-includes.patch
Patch1:		dvd+rw-tools-7.0.manpatch
Patch2:		dvd+rw-tools-7.0-wexit.patch
Patch4: 	dvd+rw-tools-7.0-reload.patch
Patch5: 	dvd+rw-tools-7.0-wctomb.patch
Patch6:		dvd+rw-tools-7.0-dvddl.patch
BuildArch:	i686
Requires:	mkisofs

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel

%description
Collection of tools to master DVD+RW/+R media. For further
information see http://fy.chalmers.se/~appro/linux/DVD+RW/.

%prep
%setup -n %{name}-%{version}
%patch0 -p1
%patch1 -p1 -b .manpatch
%patch2 -p1 -b .wexit
%patch4 -p1 -b .reload
%patch5 -p0 -b .wctomb
%patch6 -p0 -b .dvddl


%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

make WARN="-DDEFAULT_BUF_SIZE_MB=16 -DRLIMIT_MEMLOCK" %{?_smp_mflags}


%install
rm -rf %{buildroot}
make prefix=%{buildroot}%{_prefix} manprefix=%{buildroot}%{_mandir} install

%files
%defattr(-,root,root)
%{_bindir}/dvd-ram-control
%{_bindir}/dvd+rw-booktype
%{_bindir}/dvd+rw-format
%{_bindir}/dvd+rw-mediainfo
%attr(4755,root,root) %{_bindir}/growisofs
%{_mandir}/man1/*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%changelog
* Fri Nov 05 2010 Christian Metzen <metzench@ccux-linux.de> 7.1-3
- move suid bit to filelist for no root build
* Tue Apr 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.1-2
- set suid root on growisofs to fix writing DVDs with k3b
* Mon Mar 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.1-1
- Version update
* Sun Nov 19 2006 Christian Metzen <metzench@ccux-linux.de> 7.0-2
- rebuild against latest cdrtools package
* Sun Oct 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 7.0-1
- Version update
* Tue Apr 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 6.1-1
- Version Update
- added BuildRequires
* Sun Jun 19 2005 Christian Metzen <metzench@ccux-linux.de> 5.21.4.10.8-2
- Adjusted Group
* Sat Jun 18 2005 Karsten Brockmann <arcam@ccux-linux.de> 5.21.4.10.8-1
- Version Update to 5.21.4.10.8
* Sat Aug 07 2004 Christian Metzen <metzench@ccux-linux.de> 5.20.4.10.8-1
- Initial Release
